function [ boolean ] = has_gps( p_profile )
%HAS_GPS Checks if profile has gps coordinates.
%
%   Returns: True if gps coordinates are available.
%            Displays a warning if parameters are wrong, but returns false!
%
%   Parameters:
%   p_profile:          The nemo profile that is being checked.

%% Initializing return variables
boolean = false;

%% Parameter check

if (~isstruct(p_profile))
    disp([mfilename ': Wrong parameter. Please check your input. Returning false!']);
end

%% Check if GPS section is available
if (~isfield(p_profile, 'SURFACE_GPS_DATA'))
    boolean = false;
    return
else
    % check if the values are available
    boolean = (~any(isnan(p_profile.SURFACE_GPS_DATA)) && ~isempty(p_profile.SURFACE_GPS_DATA));
end

return;

end

